// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.Any;

public interface AnySlotDescriptor extends Any {

	// accessing
	public AnyString getTypeName();
	public boolean isMayNotRemove();
	public boolean isMustHave();
	public boolean isNotEditable();
	public boolean isSingleValue();
	public String flagsToString();
	
	// setting
	public void setTypeName(AnyString aString);
	public void setMayNotRemove();
	public void setMustHave();
	public void setNotEditable();
	public void setSingleValue();
	public void resetMayNotRemove();
	public void resetMustHave();
	public void resetNotEditable();
	public void resetSingleValue();
	
}
