// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.Any;

public interface AnySymbolTable {

	// accessing
	public int size();
	public AnyArray all();
		
	// frame descriptor management
	public AnyFrameDescriptor at(AnyString key);
	public void insert(AnyFrameDescriptor descriptor);
	public void insertAll(AnyArray descriptors);
	
	// printing/reading
	public String printOnString(boolean fast);
	public void readFromString(String in, AnyContext context);
	
}
