// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.Any;

public interface InfoService {

	// exploring soup
	public AnyArray getByKind(String descriptorName);
	public AnyArray getBySlotStartingWith(String descriptorName, String slotName, String prefix);
	public AnyArray getBySlotValue(String descriptorName, String slotName, Any value);
	public AnyFrame getFirstBySlotValue(String descriptorName, String slotName, Any value);
	
	// manipulating soup
	public void setSlot(String descriptorName, String slotName, Any newValue);
	public void cleanSlot(String descriptorName, String slotName);
	
	// queries
	public AnyArray evaluateQuery(String queryExpression);
	public void removeByQuery(String queryExpression);
	
}
