// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import java.util.Vector;
import Geo.Framework.Any.*;

class AnyArrayDummyHandle extends AnyDummyHandle {
		
	// instance variables
	
	protected int contextPos;


	// constructors
	
	protected AnyArrayDummyHandle(Any context, int contextPos, int index) {
		super(context, index);
		this.contextPos = contextPos;
	}
	
	
	// dummy replacement
	
	protected void replaceDummy(Vector buffer) {
		context.asAnyArray().atPut(contextPos, (Any) buffer.elementAt(index));
	}
	
}
