// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import java.util.Vector;
import Geo.Framework.Any.Any;
import Geo.Framework.Any.AnyString;



class AnyDictionaryDummyHandle extends AnyDummyHandle {

	// instance variables
	
	protected AnyString contextKey;


	// constructors
	
	protected AnyDictionaryDummyHandle(Any context, AnyString contextKey, int index) {
		super(context, index);
		this.contextKey = contextKey;
	}
	
	
	// dummy replacement
	
	protected void replaceDummy(Vector buffer) {
		context.asAnyDictionary().setSlot(contextKey, (Any) buffer.elementAt(index));
	}
	
}
