// Copyright 1997 Ubilab, Union Bank of Switzerland. All rights reserved.
// This is part of the Geo system developed by Ubilab's DistrOOSE group.
// Check out: http://www.ubs.com/ubilab/Projects/se/se.html. GLAB-REH-97.

package Geo.Framework.AnyImpl;

import Geo.Framework.Any.Any;



public class AnyWriterException extends RuntimeException {

	// instance variables
	
	public Any unwritableAny;


	// constructors
	
	public AnyWriterException(Any unwritableAny) {
		super("No write methode for Any of type " + unwritableAny.getClass().getName());
		this.unwritableAny = unwritableAny;
	}
	
	public AnyWriterException(String s) {
		super(s);
	}
	
}
